Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.datasource
Interface IEssOlapRequest

All Superinterfaces:
  IEssBaseObject

public interface IEssOlapRequest
extends IEssBaseObject

The IEssOlapRequest is a olap request. This can be used to display information about, or terminate, sessions and requests. A session is the time between login and logout for a user connected to Essbase olap server. A request is a query sent to Essbase OLAP server by a user or by another process; for example, starting an application, or restructuring a database outline. Each session can process only one request at a time; therefore, sessions and requests have a one-to-one relationship.

Method Summary
`java.lang.String` | `getCubeName()` Gets the active cube (if any) name, for the session or request.
`java.lang.String` | `getOlapApplicationName()` Gets the active olap application (if any) name, for the session or request.
`short` | `getRequestCode()` Gets the request code (a positive integer representing an active session.
`java.lang.String` | `getRequestSource()` Gets the machine name from which the request is being made.
`short` | `getRequestState()` Gets the request state (i.e state of the current session or request: whether it is processing, terminating, or terminated).
`java.lang.String` | `getRequestString()` Gets the request string (a string representing the type of request.
`int` | `getRequestTime()` Gets the request time (i.e how long the session or request has been in progress - in seconds).
`java.lang.String` | `getUserName()` Gets the name of the requesting user.
`void` | `kill()` Terminates this sessions or request.

Method Detail

### getUserName

    public java.lang.String getUserName()
                                 throws EssException

  Gets the name of the requesting user.

  Returns:
    The user name.
  Throws:
    `EssException` - if an error occurs.

### getRequestSource

    public java.lang.String getRequestSource()
                                      throws EssException

  Gets the machine name from which the request is being made.

  Returns:
    The client machine name.
  Throws:
    `EssException` - if an error occurs.

### getOlapApplicationName

    public java.lang.String getOlapApplicationName()
                                            throws EssException

  Gets the active olap application (if any) name, for the session or request.

  Returns:
    The olap application name.
  Throws:
    `EssException` - if an error occurs.

### getCubeName

    public java.lang.String getCubeName()
                                 throws EssException

  Gets the active cube (if any) name, for the session or request.

  Returns:
    The cube name.
  Throws:
    `EssException` - if an error occurs.

### getRequestCode

    public short getRequestCode()
                         throws EssException

  Gets the request code (a positive integer representing an active session. Eg:774896669).

  Returns:
    The cube request code.
  Throws:
    `EssException` - if an error occurs.

### getRequestString

    public java.lang.String getRequestString()
                                      throws EssException

  Gets the request string (a string representing the type of request. Eg: Restructure, ClearData, GetStats, Calculate, DataLoad).

  Returns:
    The request string.
  Throws:
    `EssException` - if an error occurs.

### getRequestTime

    public int getRequestTime()
                       throws EssException

  Gets the request time (i.e how long the session or request has been in progress - in seconds).

  Returns:
    The request time.
  Throws:
    `EssException` - if an error occurs.

### getRequestState

    public short getRequestState()
                          throws EssException

  Gets the request state (i.e state of the current session or request: whether it is processing, terminating, or terminated).

  Returns:
    The request state. Values: 0 (processing), 1 (terminating), 2 (terminated).
  Throws:
    `EssException` - if an error occurs.

### kill

    public void kill()
              throws EssException

  Terminates this sessions or request.

  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD